PointOnCurveJointBuilder Class

class NXOpen.Mechatronics.PointOnCurveJointBuilder

Bases: NXOpen.Mechatronics.PhysicsJointBuilder

Represents a NXOpen.Mechatronics.PointOnCurveJoint builder

To create a new instance of this class, use NXOpen.Mechatronics.PointOnCurveJointCollection.CreatePointOnCurveJointBuilder()

Default values.

Property Value
Offset.Value 0 (millimeters part), 0 (inches part)

New in version NX9.0.0.

Properties

Property Description
Attachment Returns the attachment of joint.
AxisVector Returns or sets the axis vector which is tangent to the connected curve at the selected point
Base Returns the base of joint.
BaseAnchorPoint Returns or sets the anchor point of base.
BaseAxisVector Returns or sets the axis vector of base.
Name Returns or sets the name.
Offset Returns the offset specifies the Zero Point on the curve whose distance to the point along the curve is the offset value.
PointOnCurve Returns or sets the selected point on curve
Positioning Returns or sets a boolean value that indicates whether to create an assembly joint.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
EvaluatePath Evaluate the path.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetConnectedCurves Get the connected curves which the attachment will move along
GetObject Returns the object currently being edited by this builder.
SetAttachment Sets the attachment.
SetBase Sets the base.
SetConnectedCurves Set the connected curves which the attachment will move along
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AxisVector

PointOnCurveJointBuilder.AxisVector

Returns or sets the axis vector which is tangent to the connected curve at the selected point

-------------------------------------

Getter Method

Signature AxisVector

Returns:
Return type:NXOpen.Direction

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

-------------------------------------

Setter Method

Signature AxisVector

Parameters:axisVector (NXOpen.Direction) –

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

Offset

PointOnCurveJointBuilder.Offset

Returns the offset specifies the “Zero Point” on the curve whose distance to the point along the curve is the offset value.

Zero Point is on the opposite direction of the axis with respect to the point on the curve.

-------------------------------------

Getter Method

Signature Offset

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

PointOnCurve

PointOnCurveJointBuilder.PointOnCurve

Returns or sets the selected point on curve

-------------------------------------

Getter Method

Signature PointOnCurve

Returns:
Return type:NXOpen.Point

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

-------------------------------------

Setter Method

Signature PointOnCurve

Parameters:pointOnCurve (NXOpen.Point) –

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

Method Detail

EvaluatePath

PointOnCurveJointBuilder.EvaluatePath

Evaluate the path.

If there is no path, create it, otherwise evaluate it.

Signature EvaluatePath(curves)

Parameters:curves (list of NXOpen.NXObject) – curve or edge

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

GetConnectedCurves

PointOnCurveJointBuilder.GetConnectedCurves

Get the connected curves which the attachment will move along

Signature GetConnectedCurves()

Returns:curve or edge
Return type:list of NXOpen.NXObject

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

SetConnectedCurves

PointOnCurveJointBuilder.SetConnectedCurves

Set the connected curves which the attachment will move along

Signature SetConnectedCurves(curves)

Parameters:curves (list of NXOpen.NXObject) – curve or edge

New in version NX9.0.0.

License requirements: nx_mcd_core (“MECHATRONICS CONCEPT DESIGNER”)

Validate

PointOnCurveJointBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.